    001/* ========================================================================
    002 * JCommon : a free general purpose class library for the Java(tm) platform
    003 * ========================================================================
    004 *
    005 * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jcommon/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025 * in the United States and other countries.]
    026 *
    027 * ---------------------------
    028 * FloatObjectDescription.java
    029 * ---------------------------
    030 * (C)opyright 2003, 2004, by Thomas Morgner and Contributors.
    031 *
    032 * Original Author:  Thomas Morgner;
    033 * Contributor(s):   David Gilbert (for Object Refinery Limited);
    034 *
    035 * $Id: FloatObjectDescription.java,v 1.3 2005/11/14 11:02:08 mungady Exp $
    036 *
    037 * Changes (from 19-Feb-2003)
    038 * -------------------------
    039 * 19-Feb-2003 : Added standard header and Javadocs (DG);
    040 * 29-Apr-2003 : Distilled from the JFreeReport project and moved into JCommon
    041 *
    042 */
    043
    044package org.jfree.xml.factory.objects;
    045
    046/**
    047 * An object-description for a <code>Float</code> object.
    048 *
    049 * @author Thomas Morgner
    050 */
    051public class FloatObjectDescription extends AbstractObjectDescription {
    052
    053    /**
    054     * Creates a new object description.
    055     */
    056    public FloatObjectDescription() {
    057        super(Float.class);
    058        setParameterDefinition("value", String.class);
    059    }
    060
    061    /**
    062     * Creates an object based on this description.
    063     *
    064     * @return The object.
    065     */
    066    public Object createObject() {
    067        final String o = (String) getParameter("value");
    068        return Float.valueOf(o);
    069    }
    070
    071    /**
    072     * Sets the parameters of this description object to match the supplied object.
    073     *
    074     * @param o  the object (should be an instance of <code>Float</code>).
    075     *
    076     * @throws ObjectFactoryException if the object is not an instance of <code>Float</code>.
    077     */
    078    public void setParameterFromObject(final Object o) throws ObjectFactoryException {
    079        if (!(o instanceof Float)) {
    080            throw new ObjectFactoryException("The given object is no java.lang.Float.");
    081        }
    082        setParameter("value", String.valueOf(o));
    083    }
    084
    085    /**
    086     * Tests for equality.
    087     *
    088     * @param o  the object to test.
    089     *
    090     * @return A boolean.
    091     */
    092    public boolean equals(final Object o) {
    093        if (this == o) {
    094            return true;
    095        }
    096        if (!(o instanceof AbstractObjectDescription)) {
    097            return false;
    098        }
    099
    100        final AbstractObjectDescription abstractObjectDescription = (AbstractObjectDescription) o;
    101
    102        if (Float.TYPE.equals(abstractObjectDescription.getObjectClass())) {
    103            return true;
    104        }
    105        if (Float.class.equals(abstractObjectDescription.getObjectClass())) {
    106            return true;
    107        }
    108        return false;
    109    }
    110
    111    /**
    112     * Returns a hash code.
    113     *
    114     * @return A hash code.
    115     */
    116    public int hashCode() {
    117        return getObjectClass().hashCode();
    118    }
    119
    120}